%define oname   raindrops

Name:       ruby-%{oname}
Version:    0.20.1
Release:    %mkrel 3
Summary:    Real-time stats for preforking Rack servers
Group:      Development/Ruby
License:    MIT
URL:        http://raindrops.bogomips.org/
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(olddoc)
BuildRequires: rubygem(tidy_ffi)
BuildRequires: pkgconfig(ruby)

%description
Raindrops is a real-time stats toolkit to show statistics for Rack HTTP
servers.  It is designed for preforking servers such as Rainbows! and
Unicorn, but should support any Rack HTTP server under Ruby 1.9, 1.8 and
Rubinius on platforms supporting POSIX shared memory.  It may also be
used as a generic scoreboard for sharing atomic counters across multiple
processes.

%files
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README LICENSE NEWS
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
export VERSION=%{version}
%gem_build

%install
export VERSION=%{version}
%gem_install


%changelog
* Sun Feb 02 2025 pterjan <pterjan> 0.20.1-3.mga10
+ Revision: 2144455
- Rebuild for Ruby 3.4

* Wed Dec 04 2024 pterjan <pterjan> 0.20.1-2.mga10
+ Revision: 2121574
- Rebuild for Ruby 3.3

* Mon Apr 08 2024 pterjan <pterjan> 0.20.1-1.mga10
+ Revision: 2055570
- Update to 0.20.1

* Mon Aug 15 2022 pterjan <pterjan> 0.20.0-1.mga9
+ Revision: 1877737
- Update to 0.20.0

* Sat Mar 26 2022 umeabot <umeabot> 0.19.0-6.mga9
+ Revision: 1827823
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 0.19.0-5.mga9
+ Revision: 1784608
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 0.19.0-4.mga8
+ Revision: 1553173
- Rebuild for ruby 2.7

* Tue Feb 11 2020 umeabot <umeabot> 0.19.0-3.mga8
+ Revision: 1489233
- Mageia 8 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 0.19.0-2.mga7
+ Revision: 1188703
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 0.19.0-1.mga7
+ Revision: 1142176
- Update to 0.19.0
- Rebuild for new Ruby

* Sun Dec 20 2015 pterjan <pterjan> 0.15.0-1.mga6
+ Revision: 912573
- Update BuildRequires
- Update to 0.15.0

* Wed Oct 15 2014 umeabot <umeabot> 0.12.0-7.mga5
+ Revision: 749368
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12.0-6.mga5
+ Revision: 688920
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.12.0-5.mga4
+ Revision: 561683
- Fix gem macros

* Fri Dec 27 2013 pterjan <pterjan> 0.12.0-4.mga4
+ Revision: 560972
- Also export VERSION for install as we use the gemspec again

* Tue Dec 24 2013 pterjan <pterjan> 0.12.0-3.mga4
+ Revision: 560310
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.12.0-2.mga4
+ Revision: 538274
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.12.0-1.mga4
+ Revision: 489148
- Add more BuildRequires
- 0.12.0
- Use gem_setup
- Add missing BUildRequires
- Fix file list
- Package examples and tests

* Fri Feb 08 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 396347
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 381332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.10.0-1.mga3
+ Revision: 313120
- update file list
- update file list
- imported package ruby-raindrops

